<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLCommunicationAggregateSysMessage&lt; AlgData &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classTIGLCommunicationAggregateSysMessage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLCommunicationAggregateSysMessage&lt; AlgData &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__comm__module.html">Communication</a> &#124; <a class="el" href="group__messages.html">Messages</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for aggregate information messages.  
 <a href="classTIGLCommunicationAggregateSysMessage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglCommunicationAggregateSysMessage_8hpp_source.html">tiglCommunicationAggregateSysMessage.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa27fa8ae77696b961b244328471fcd5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa27fa8ae77696b961b244328471fcd5e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#aa27fa8ae77696b961b244328471fcd5e">setMax</a> (AlgData val)</td></tr>
<tr class="memdesc:aa27fa8ae77696b961b244328471fcd5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the maximum value <br /></td></tr>
<tr class="separator:aa27fa8ae77696b961b244328471fcd5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01daf065f691f649fe43bad6cd37d10a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a01daf065f691f649fe43bad6cd37d10a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#a01daf065f691f649fe43bad6cd37d10a">setMin</a> (AlgData val)</td></tr>
<tr class="memdesc:a01daf065f691f649fe43bad6cd37d10a"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the minimum value of the algData <br /></td></tr>
<tr class="separator:a01daf065f691f649fe43bad6cd37d10a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f2508c081eb577bb63fc734ad6447f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4f2508c081eb577bb63fc734ad6447f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#ae4f2508c081eb577bb63fc734ad6447f">setSum</a> (AlgData val)</td></tr>
<tr class="memdesc:ae4f2508c081eb577bb63fc734ad6447f"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the sum value field <br /></td></tr>
<tr class="separator:ae4f2508c081eb577bb63fc734ad6447f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b722b1881d267326cf306f23efc55f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b722b1881d267326cf306f23efc55f5"></a>
AlgData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#a1b722b1881d267326cf306f23efc55f5">getMax</a> ()</td></tr>
<tr class="memdesc:a1b722b1881d267326cf306f23efc55f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the max value field <br /></td></tr>
<tr class="separator:a1b722b1881d267326cf306f23efc55f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc25a777bb27c33fd6e4608a1843acd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc25a777bb27c33fd6e4608a1843acd1"></a>
AlgData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#adc25a777bb27c33fd6e4608a1843acd1">getMin</a> ()</td></tr>
<tr class="memdesc:adc25a777bb27c33fd6e4608a1843acd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the min value field <br /></td></tr>
<tr class="separator:adc25a777bb27c33fd6e4608a1843acd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5668215562c36ee5af964c0c67a90513"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5668215562c36ee5af964c0c67a90513"></a>
AlgData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#a5668215562c36ee5af964c0c67a90513">getSum</a> ()</td></tr>
<tr class="memdesc:a5668215562c36ee5af964c0c67a90513"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the sum value field <br /></td></tr>
<tr class="separator:a5668215562c36ee5af964c0c67a90513"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a65a7d5f706fdefa91afc25dc58d1af9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65a7d5f706fdefa91afc25dc58d1af9a"></a>
AlgData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#a65a7d5f706fdefa91afc25dc58d1af9a">maxAgg</a></td></tr>
<tr class="memdesc:a65a7d5f706fdefa91afc25dc58d1af9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">maximum aggregate value <br /></td></tr>
<tr class="separator:a65a7d5f706fdefa91afc25dc58d1af9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a80f65a6621941348f815811f5a735a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a80f65a6621941348f815811f5a735a"></a>
AlgData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#a5a80f65a6621941348f815811f5a735a">minAgg</a></td></tr>
<tr class="memdesc:a5a80f65a6621941348f815811f5a735a"><td class="mdescLeft">&#160;</td><td class="mdescRight">minimum aggregate value <br /></td></tr>
<tr class="separator:a5a80f65a6621941348f815811f5a735a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7c3e287c58153505ec4d6f667d346a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7c3e287c58153505ec4d6f667d346a4"></a>
AlgData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationAggregateSysMessage.html#ab7c3e287c58153505ec4d6f667d346a4">sumAgg</a></td></tr>
<tr class="memdesc:ab7c3e287c58153505ec4d6f667d346a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">sum of aggregate values <br /></td></tr>
<tr class="separator:ab7c3e287c58153505ec4d6f667d346a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename AlgData&gt;<br />
class TIGLCommunicationAggregateSysMessage&lt; AlgData &gt;</h3>

<p>Base class for aggregate information messages. </p>
<p>It holds aggregate information that is exchanged between devices it is a template class that is parameterized the algorithm data field of the graph algorithm </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="tiglCommunicationAggregateSysMessage_8hpp_source.html">tiglCommunicationAggregateSysMessage.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
